res_lib_cpg_confchg_callback Struct Reference

The res_lib_cpg_confchg_callback struct. More...

`#include <ipc_cpg.h>`

Collaboration diagram for res_lib_cpg_confchg_callback:
[legend]

## Public Member Functions

struct qb_ipc_response_header header | __attribute__ ((aligned(8)))
mar_cpg_name_t group_name | __attribute__ ((aligned(8)))
mar_uint32_t member_list_entries | __attribute__ ((aligned(8)))
mar_uint32_t joined_list_entries | __attribute__ ((aligned(8)))
mar_uint32_t left_list_entries | __attribute__ ((aligned(8)))

## Data Fields

mar_cpg_address_t | member_list []

## Detailed Description

The res_lib_cpg_confchg_callback struct.

Definition at line 384 of file ipc_cpg.h.

## Member Function Documentation

## __attribute__() [1/5]

mar_uint32_t left_list_entries res_lib_cpg_confchg_callback::__attribute__ | ( | (aligned(8)) |  | ) |

## __attribute__() [2/5]

mar_uint32_t joined_list_entries res_lib_cpg_confchg_callback::__attribute__ | ( | (aligned(8)) |  | ) |

## __attribute__() [3/5]

mar_uint32_t member_list_entries res_lib_cpg_confchg_callback::__attribute__ | ( | (aligned(8)) |  | ) |

## __attribute__() [4/5]

mar_cpg_name_t group_name res_lib_cpg_confchg_callback::__attribute__ | ( | (aligned(8)) |  | ) |

## __attribute__() [5/5]

struct qb_ipc_response_header header res_lib_cpg_confchg_callback::__attribute__ | ( | (aligned(8)) |  | ) |

References __attribute__(), and header.

Referenced by __attribute__().

## Field Documentation

## member_list

mar_cpg_address_t res_lib_cpg_confchg_callback::member_list[]

Definition at line 390 of file ipc_cpg.h.

Referenced by cpg_dispatch().

The documentation for this struct was generated from the following file:

- ipc_cpg.h